BaseConfigurationMigrator.SpecificPropertyMigration (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.configuration
Class BaseConfigurationMigrator.SpecificPropertyMigration

    java.lang.Object
      org.neo4j.kernel.configuration.BaseConfigurationMigrator.SpecificPropertyMigration

All Implemented Interfaces:
  BaseConfigurationMigrator.Migration

Direct Known Subclasses:
  BaseConfigurationMigrator.PropertyRenamed

Enclosing class:
  BaseConfigurationMigrator

    public abstract static class BaseConfigurationMigrator.SpecificPropertyMigration

extends Object
implements BaseConfigurationMigrator.Migration

Constructor Summary
`BaseConfigurationMigrator.SpecificPropertyMigration(String propertyKey, String deprecationMessage)`

Method Summary
`boolean` | `appliesTo(Map<String,String> rawConfiguration)`
`Map<String,String>` | `apply(Map<String,String> rawConfiguration)`
`String` | `getDeprecationMessage()`
`abstract void` | `setValueWithOldSetting(String value, Map<String,String> rawConfiguration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseConfigurationMigrator.SpecificPropertyMigration

    public BaseConfigurationMigrator.SpecificPropertyMigration(String propertyKey,
                                                               String deprecationMessage)

Method Detail

### appliesTo

    public boolean appliesTo(Map<String,String> rawConfiguration)

  Specified by:
    `appliesTo` in interface `BaseConfigurationMigrator.Migration`

### apply

    public Map<String,String> apply(Map<String,String> rawConfiguration)

  Specified by:
    `apply` in interface `BaseConfigurationMigrator.Migration`

### getDeprecationMessage

    public String getDeprecationMessage()

  Specified by:
    `getDeprecationMessage` in interface `BaseConfigurationMigrator.Migration`

### setValueWithOldSetting

    public abstract void setValueWithOldSetting(String value,
                                                Map<String,String> rawConfiguration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.